#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    [self createData:250];
    
    _dsh1 = [[IGCategorySeriesDataSourceHelper alloc]initWithData:_data andValuePath:@"value1"];
    _dsh2 = [[IGCategorySeriesDataSourceHelper alloc]initWithData:_data andValuePath:@"value2"];
    _dsh3 = [[IGCategorySeriesDataSourceHelper alloc]initWithData:_data andValuePath:@"value3"];
    _dsh4 = [[IGCategorySeriesDataSourceHelper alloc]initWithData:_data andValuePath:@"value4"];
    _dsh5 = [[IGCategorySeriesDataSourceHelper alloc]initWithData:_data andValuePath:@"value5"];
    _dsh6 = [[IGCategorySeriesDataSourceHelper alloc]initWithData:_data andValuePath:@"value6"];
    
    _dsh1.labelPath = _dsh2.labelPath = _dsh3.labelPath = _dsh4.labelPath = _dsh5.labelPath = _dsh6.labelPath = @"label";
    
    _chart = [[IGChartView alloc]initWithFrame:self.view.bounds];
    _chart.autoresizingMask = UIViewAutoresizingFlexibleHeight | UIViewAutoresizingFlexibleWidth;
    
    [_chart addSeriesForType:[IGLineSeries class] usingKey:@"series1" withDataSource:_dsh1 firstAxisKey:@"x" secondAxisKey:@"y"];
    [_chart addSeriesForType:[IGLineSeries class] usingKey:@"series2" withDataSource:_dsh2 firstAxisKey:@"x" secondAxisKey:@"y"];
    [_chart addSeriesForType:[IGLineSeries class] usingKey:@"series3" withDataSource:_dsh3 firstAxisKey:@"x" secondAxisKey:@"y"];
    [_chart addSeriesForType:[IGLineSeries class] usingKey:@"series4" withDataSource:_dsh4 firstAxisKey:@"x" secondAxisKey:@"y"];
    [_chart addSeriesForType:[IGLineSeries class] usingKey:@"series5" withDataSource:_dsh5 firstAxisKey:@"x" secondAxisKey:@"y"];
    [_chart addSeriesForType:[IGLineSeries class] usingKey:@"series6" withDataSource:_dsh6 firstAxisKey:@"x" secondAxisKey:@"y"];
    
    [self.view addSubview:_chart];
    
    [NSTimer scheduledTimerWithTimeInterval:.1 target:self selector:@selector(updateSeries) userInfo:nil repeats:YES];
}

-(void)updateSeries
{
    [_data removeObjectAtIndex:0];
    [_chart removeItemAtIndex:0 withSource:_dsh1];
    [_chart removeItemAtIndex:0 withSource:_dsh2];
    [_chart removeItemAtIndex:0 withSource:_dsh3];
    [_chart removeItemAtIndex:0 withSource:_dsh4];
    [_chart removeItemAtIndex:0 withSource:_dsh5];
    [_chart removeItemAtIndex:0 withSource:_dsh6];
    
    DataModel *obj = [[DataModel alloc]init];
    obj.value1 = arc4random()%10;
    obj.value2 = arc4random()%10+10;
    obj.value3 = arc4random()%10+20;
    obj.value4 = arc4random()%10+30;
    obj.value5 = arc4random()%10+40;
    obj.value6 = arc4random()%10+50;
    obj.label = @"new Item";
    
    [_data addObject:obj];
    [_chart insertItemAtIndex:_data.count-1 withSource:_dsh1];
    [_chart insertItemAtIndex:_data.count-1 withSource:_dsh2];
    [_chart insertItemAtIndex:_data.count-1 withSource:_dsh3];
    [_chart insertItemAtIndex:_data.count-1 withSource:_dsh4];
    [_chart insertItemAtIndex:_data.count-1 withSource:_dsh5];
    [_chart insertItemAtIndex:_data.count-1 withSource:_dsh6];
}

-(void)createData:(int)count
{
    _data = [[NSMutableArray alloc]initWithCapacity:count];
    
    for (int i=0; i<count; i++)
    {
        DataModel *obj = [[DataModel alloc]init];
        obj.value1 = arc4random()%10;
        obj.value2 = arc4random()%10+10;
        obj.value3 = arc4random()%10+20;
        obj.value4 = arc4random()%10+30;
        obj.value5 = arc4random()%10+40;
        obj.value6 = arc4random()%10+50;
        obj.label = [NSString stringWithFormat:@"Item %d", i];
        [_data addObject:obj];
    }
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end


@implementation DataModel
@end